From 8fd741d742e13696a4730b3bc1b132313aea63f5 Mon Sep 17 00:00:00 2001
From: Wang Wei <wangw.fnst@fujitsu.com>
Date: Fri, 10 Mar 2023 13:50:19 +0800
Subject: [PATCH v7 3/6] Rename the function ProcessPendingWrites() to
 WalSndSendPending()

---
 src/backend/replication/walsender.c | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/src/backend/replication/walsender.c b/src/backend/replication/walsender.c
index bfc5651996..a22ed48e33 100644
--- a/src/backend/replication/walsender.c
+++ b/src/backend/replication/walsender.c
@@ -242,7 +242,7 @@ static void ProcessStandbyMessage(void);
 static void ProcessStandbyReplyMessage(void);
 static void ProcessStandbyHSFeedbackMessage(void);
 static void ProcessRepliesIfAny(void);
-static void ProcessPendingWrites(void);
+static void WalSndSendPending(void);
 static void WalSndKeepalive(bool requestReply, XLogRecPtr writePtr);
 static void WalSndKeepaliveIfNecessary(void);
 static void WalSndCheckTimeOut(void);
@@ -1403,7 +1403,7 @@ WalSndWriteData(LogicalDecodingContext *ctx, XLogRecPtr lsn, TransactionId xid,
 	}
 
 	/* If we have pending write here, go to slow path */
-	ProcessPendingWrites();
+	WalSndSendPending();
 }
 
 /*
@@ -1411,7 +1411,7 @@ WalSndWriteData(LogicalDecodingContext *ctx, XLogRecPtr lsn, TransactionId xid,
  * side and check timeouts during that.
  */
 static void
-ProcessPendingWrites(void)
+WalSndSendPending(void)
 {
 	for (;;)
 	{
@@ -1521,7 +1521,7 @@ WalSndUpdateProgress(LogicalDecodingContext *ctx, XLogRecPtr lsn, TransactionId
 	if (pending_writes || (!end_xact && wal_sender_timeout > 0 &&
 						   now >= TimestampTzPlusMilliseconds(last_reply_timestamp,
 															  wal_sender_timeout / 2)))
-		ProcessPendingWrites();
+		WalSndSendPending();
 }
 
 /*
-- 
2.39.1.windows.1

